
QGIS Application - Bug report #11528

python-gui can't find Qsci headers

2014-11-02 10:49 AM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19798

Description

(note: QGIS 2.6 release, no version tag yet in issue tracker)

Compilation error:

cd /Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/python && /usr/bin/c++   -DQT_CORE_LIB -DQT_GUI_LIB

-DQT_NETWORK_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_SQL_LIB -DQT_SVG_LIB

-DQT_WEBKIT_LIB -DQT_XML_LIB -Dprotected=public -Dpython_module_qgis__gui_EXPORTS -Wall -Wextra -Wno-long-long

-Wformat-security -Wno-strict-aliasing -Wno-return-type-c-linkage -Wno-overloaded-virtual -Qunused-arguments -Os -DNDEBUG

-arch x86_64 -isysroot /Developer/SDKs/MacOSX10.7.sdk -mmacosx-version-min=10.7 -fPIC -F/Library/Frameworks -isystem

/Library/Frameworks/QtOpenGL.framework/Headers -isystem /Library/Frameworks/QtSvg.framework/Headers -isystem

/Library/Frameworks/QtWebKit.framework/Headers -isystem /Library/Frameworks/QtGui.framework/Headers -isystem

/Library/Frameworks/QtXml.framework/Headers -isystem /Library/Frameworks/QtSql.framework/Headers -isystem

/Library/Frameworks/QtNetwork.framework/Headers -isystem /Library/Frameworks/QtCore.framework/Headers

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion

-I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/usr/local/include

-I/Developer/SDKs/MacOSX10.7.sdk/Library/Frameworks/GDAL.framework/Headers

-I/Developer/SDKs/MacOSX10.7.sdk/Library/Frameworks/GEOS.framework/Headers

-I/Users/Shared/unix/qwt-lion/qwt-6.0.2/include -I/Users/Shared/src/qgis/QGIS-final-2_6_0/src/core/gps/qextserialport

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core -I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/pal

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/composer

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/diagram

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/dxf

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/gps

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/layertree

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/raster

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/core/symbology-ng

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/raster

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/attributetable

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/editorwidgets

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/editorwidgets/core

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/layertree -I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/symbology-ng

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/plugins -I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/gui

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/ui

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/analysis/vector

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/analysis/raster

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/analysis/network

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/analysis/interpolation

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/analysis/vector
-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/analysis/network

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/analysis/raster

-I/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/analysis/interpolation    -DCORE_EXPORT= -DGUI_EXPORT=

-DPYTHON_EXPORT= -DANALYSIS_EXPORT= -DAPP_EXPORT= -DCUSTOMWIDGETS_EXPORT= -w

-Wno-deprecated-declarations -w -Wno-deprecated-declarations -w -Wno-deprecated-declarations -w

-Wno-deprecated-declarations -o CMakeFiles/python_module_qgis__gui.dir/gui/sip_guipart1.cpp.o -c

/Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/python/gui/sip_guipart1.cpp

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/python/gui/qgsexpressionselectiondialog.sip:4:

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/qgsexpressionselectiondialog.h:21:

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/ui/ui_qgsexpressionselectiondialogbase.h:22:

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/qgsexpressionbuilderwidget.h:20:

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/build-lion/src/ui/ui_qgsexpressionbuilder.h:29:

In file included from /Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/qgscodeeditorsql.h:19:

/Users/Shared/src/qgis/QGIS-final-2_6_0/python/../src/gui/qgscodeeditor.h:22:10: fatal error: 

      'Qsci/qsciapis.h' file not found

#include <Qsci/qsciapis.h>

         ^

1 error generated.

make[2]: *** [python/CMakeFiles/python_module_qgis__gui.dir/gui/sip_guipart1.cpp.o] Error 1

make[1]: *** [python/CMakeFiles/python_module_qgis__gui.dir/all] Error 2

I got it to compile by adding the following to INCLUDE_DIRECTORIES for the gui module in python/CMakeLists.txt:145:

  ${QSCINTILLA_INCLUDE_DIR}

Associated revisions

Revision 51e01d6d - 2014-11-02 08:51 PM - Jürgen Fischer

add QScintilla2 include directory to python bindings and oracle provider

(fixes #11528)

Revision 2bf465a6 - 2014-11-05 06:01 PM - Jürgen Fischer

add QScintilla2 include directory to python bindings and oracle provider

(fixes #11528)

History

#1 - 2014-11-02 10:57 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.6.0

- Target version changed from Version 2.6 to Version 2.8

#2 - 2014-11-02 11:51 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"51e01d6d1caf89c2e17b967908198464288cb04a".
